﻿using System;
using LiveNet.Authentication;

namespace LiveNet.Expo
{
    internal sealed class LiveExpoAuthenticationDetails : LiveNetAuthenticationDetails
    {
        private readonly string m_ApplicationKey;

        public LiveExpoAuthenticationDetails(string applicationKey)
        {
            if (string.IsNullOrEmpty(applicationKey))
            {
                throw new ArgumentNullException("applicationKey");
            }

            m_ApplicationKey = applicationKey;
        }

        public string ApplicationKey
        {
            get { return m_ApplicationKey; }
        }
    }
}
