﻿using System;
using LiveNet.Authentication;

namespace LiveNet.Silverlight
{
    public sealed class LiveMediaAuthenticationDetails : LiveNetAuthenticationDetails
    {
        private readonly string m_AccountId;
        private readonly string m_AccountKey;

        public LiveMediaAuthenticationDetails(string accountId, string accountKey)
        {
            if (string.IsNullOrEmpty(accountId))
            {
                throw new ArgumentNullException("accountId");
            }

            if (string.IsNullOrEmpty(accountKey))
            {
                throw new ArgumentNullException("accountKey");
            }

            m_AccountId = accountId;
            m_AccountKey = accountKey;
        }

        public string AccountId
        {
            get { return m_AccountId; }
        }

        public string AccountKey
        {
            get { return m_AccountKey; }
        }
    }
}